## sel 0.08.4-1

=== Makefile ===
# written by Thomas Kluge for sel

#Edited for Debian GNU/Linux
DESTDIR =

CC=gcc
PROG=sel
MAN=sel.1
HELP=help.txt
MAINFILE=sel.c
BINDIR=$(DESTDIR)/usr/bin
MANDIR=$(DESTDIR)/usr/share/man/man1
HELPDIR=$(DESTDIR)/usr/share/sel
CFLAGS= -o $(PROG) -Wall -g -O3 -lncurses
GLIBCFLAGS= -nostdinc -I /usr/include
INSTALL=install


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  INSTALL += -s
endif


all:sel

sel: sel.c

sel_glibc:
	gcc $(MAINFILE) $(CFLAGS) $(GLIBCFLAGS)

clean:
	rm -f $(PROG) *.o *~ core

install:
	$(INSTALL) $(PROG) $(BINDIR)
	cp $(MAN)  $(MANDIR)
	cp $(HELP) $(HELPDIR)

deinstall:
	rm $(BINDIR)/$(PROG)
	rm $(MANDIR)/$(MAN)

lint:
	lclint $(MAINFILE) +gnuextensions +posixlib | sensible-pager

=== debian/changelog ===
sel (0.08.4-1) unstable; urgency=low

  * New upstream release

 -- Frederico S. Munoz <fsmunoz@debian.org>  Thu,  1 Nov 2001 02:24:36 +0000

sel (0.08.2-2) unstable; urgency=low

  * Removed x86 compiler options. Closes: #89889
  * Closed ITP bug. Closes: #78243

 -- Frederico S. Munoz <fsmunoz@sdf.lonestar.org>  Sat, 17 Mar 2001 19:50:06 +0000

sel (0.08.2-1) unstable; urgency=low

  * Initial Release.
  * This is my first Debian Package
  * Changed Makefile to add $DESTDIR
  * Changed sel.c line 165 to point to /usr/share and 'less' to use sensible-pager

 -- Frederico S. Munoz <fsmunoz@sdf.lonestar.org>  Fri, 24 Nov 2000 01:48:23 +0000

=== debian/control ===
Source: sel
Section: utils
Priority: optional
Maintainer: Frederico S. Munoz <fsmunoz@sdf.lonestar.org>
Build-Depends: debhelper, libncurses5-dev
Standards-Version: 3.1.1

Package: sel
Architecture: any
Depends: ${shlibs:Depends}
Description: Fullscreen file-selection and execution tool
 sel displays a listing of files like a file-manager. You can move around
 using the arrow-keys and run a command given on the command-line on the
 selected file with the <RETURN> - key. If you've installed the terminfo-
 library delivered with ncurses, sel will use colors.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir
	
	$(MAKE)
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	
	-$(MAKE) clean
	
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=`pwd`/debian/`dh_listpackages`


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples sample
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms	
#	dh_suidregister
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## sel 0.08.4-2

=== debian/changelog ===
sel (0.08.4-2) unstable; urgency=low

  * Uploading with maintainer set to QA group
  * debian/control: make debhelper dependency versioned (closes: #218696)
  * debian/sel.copyright: fixed up path for common-licenses

 -- Andrew Pollock <apollock@debian.org>  Sun, 16 Nov 2003 20:57:00 +1100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: sel
 Section: utils
 Priority: optional
-Maintainer: Frederico S. Munoz <fsmunoz@sdf.lonestar.org>
-Build-Depends: debhelper, libncurses5-dev
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>> 3), libncurses5-dev
 Standards-Version: 3.1.1
 
 Package: sel
